Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class MethodDescr

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberDescription
          com.sun.tdk.signaturetest.model.MethodDescr

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class MethodDescr

extends MemberDescription

See Also:
  Serialized Form

Field Summary
`static MethodDescr[]` | `EMPTY_ARRAY`

Fields inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`ARGS_DELIMITER, CLASS_DELIMITER, delimiter, EMPTY_THROW_LIST, MEMBER_DELIMITER, NO_ARGS, NO_DECLARING_CLASS, NO_TYPE, THROWS_DELIMITER`

Constructor Summary
`MethodDescr()`
`MethodDescr(java.lang.String methodName, java.lang.String className, int modifiers)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getAnnoDef()`
`java.lang.String` | `getSignature()`
`int` | `hashCode()`
`boolean` | `isCompatible(MemberDescription m)`
`boolean` | `isMethod()` Check if `this` item describes some method.
`protected void` | `populateDependences(java.util.Set set)`
`void` | `setAnnoDef(java.lang.Object annodef)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`addDependency, addModifier, clone, getAnnoList, getArgs, getClassShortName, getDeclaringClassName, getMemberType, getModifiers, getName, getQualifiedName, getThrowables, getThrows, getType, getTypeName, getTypeName, getTypeParameters, hasModifier, isAbstract, isClass, isConstructor, isField, isFinal, isInner, isInterface, isMarked, isPrivate, isProtected, isPublic, isStatic, isSuperClass, isSuperInterface, mark, removeModifier, setAnnoList, setArgs, setDeclaringClass, setModifiers, setNoDeclaringClass, setThrowables, setType, setTypeParameters, setupClassName, setupClassName, setupGenericClassName, setupGenericClassName, setupInnerClassName, setupMemberName, setupMemberName, unmark, valueToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final MethodDescr[] EMPTY_ARRAY

Constructor Detail

### MethodDescr

    public MethodDescr()

### MethodDescr

    public MethodDescr(java.lang.String methodName,
                       java.lang.String className,
                       int modifiers)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MemberDescription`

### isCompatible

    public boolean isCompatible(MemberDescription m)

  Specified by:
    `isCompatible` in class `MemberDescription`

### isMethod

    public boolean isMethod()

  Description copied from class: `MemberDescription`
  Check if `this` item describes some method.

  Overrides:
    `isMethod` in class `MemberDescription`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSignature

    public java.lang.String getSignature()

### getAnnoDef

    public java.lang.Object getAnnoDef()

### setAnnoDef

    public void setAnnoDef(java.lang.Object annodef)

### populateDependences

    protected void populateDependences(java.util.Set set)

  Overrides:
    `populateDependences` in class `MemberDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD